IStoreConfig (Apache Tomcat 9.0.37 API Documentation)

org.apache.catalina.storeconfig

## Interface IStoreConfig

- All Known Implementing Classes:
    StoreConfig

      public interface IStoreConfig

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `StoreRegistry` | `getRegistry()` Get Configuration Registry
    `Server` | `getServer()` Get associated server
    `void` | `setRegistry(StoreRegistry aRegistry)` Set Configuration Registry
    `void` | `setServer(Server aServer)` Set associated server
    `boolean` | `store(Context aContext)` Store the specified Context properties.
    `void` | `store(PrintWriter aWriter, int indent, Context aContext)` Store the specified Context properties.
    `void` | `store(PrintWriter aWriter, int indent, Host aHost)` Store the specified Host properties.
    `void` | `store(PrintWriter aWriter, int indent, Server aServer)` Store the specified Server properties.
    `void` | `store(PrintWriter aWriter, int indent, Service aService)` Store the specified Service properties.
    `boolean` | `store(Server aServer)` Store the specified Server properties.
    `void` | `storeConfig()` Store the current StoreFactory Server.

- - ### Method Detail

    - #### getRegistry

          StoreRegistry getRegistry()

      Get Configuration Registry
      Returns:
        aRegistry that handle the store operations

    - #### setRegistry

          void setRegistry(StoreRegistry aRegistry)

      Set Configuration Registry
      Parameters:
        `aRegistry` - aregistry that handle the store operations

    - #### getServer

          Server getServer()

      Get associated server
      Returns:
        aServer the associated server

    - #### setServer

          void setServer(Server aServer)

      Set associated server
      Parameters:
        `aServer` - the associated server

    - #### storeConfig

          void storeConfig()

      Store the current StoreFactory Server.

    - #### store

          boolean store(Server aServer)

      Store the specified Server properties.
      Parameters:
        `aServer` - Object to be stored
      Returns:
        `true` if the store operation was successful

    - #### store

          void store(PrintWriter aWriter,
                     int indent,
                     Server aServer)
              throws Exception

      Store the specified Server properties.
      Parameters:
        `aWriter` - PrintWriter to which we are storing
        `indent` - Number of spaces to indent this element
        `aServer` - Object to be stored
      Throws:
        `Exception` - Store error occurred

    - #### store

          void store(PrintWriter aWriter,
                     int indent,
                     Service aService)
              throws Exception

      Store the specified Service properties.
      Parameters:
        `aWriter` - PrintWriter to which we are storing
        `indent` - Number of spaces to indent this element
        `aService` - Object to be stored
      Throws:
        `Exception` - Store error occurred

    - #### store

          void store(PrintWriter aWriter,
                     int indent,
                     Host aHost)
              throws Exception

      Store the specified Host properties.
      Parameters:
        `aWriter` - PrintWriter to which we are storing
        `indent` - Number of spaces to indent this element
        `aHost` - Object to be stored
      Throws:
        `Exception` - Store error occurred

    - #### store

          boolean store(Context aContext)

      Store the specified Context properties.
      Parameters:
        `aContext` - Object to be stored
      Returns:
        `true` if the store operation was successful

    - #### store

          void store(PrintWriter aWriter,
                     int indent,
                     Context aContext)
              throws Exception

      Store the specified Context properties.
      Parameters:
        `aWriter` - PrintWriter to which we are storing
        `indent` - Number of spaces to indent this element
        `aContext` - Object to be stored
      Throws:
        `Exception` - Store error occurred

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.